Bio::Tools::Run::PiseApplication::hmmalign(3)

NAME
Bio::Tools::Run::PiseApplication::hmmalign

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::hmmalign

      Bioperl class for:

        HMMER   hmmalign - align sequences to an HMM profile (S .Eddy)

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/hmmalign.html
         for available values):

                hmmalign (String)

                seqfile (Sequence)
                        Sequences File
                        pipe: seqsfile

                hmmfile (InFile)
                        HMM file
                        pipe: hmmer_HMM

                output_format (Switch)
                        Additional output in GCG MSF format (default is SELEX format)

                match_states (Switch)
                        Include in the alignment only those symbols aligned to match states. Do not show symbols assigned to insert states. (-m)

                mapali (String)
                        (--mapali f)

                withali (String)
                        (--withali f)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/hmmalign.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $hmmalign = Bio::Tools::Run::PiseApplication::hmmalign->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::hmmalign object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $hmmalign = $factory->program('hmmalign');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::hmmalign.